Page MenuHomePhabricator

Take revision information into account when editing the Termbox
Closed, ResolvedPublic

Description

  • add the base revision id to the entity store (src/store/entity/Entity.ts)
  • set the base revision id on page load via mw.config.get('wgCurRevisionId')
  • entity store action to
    • bump the base revision id based on the wbeditentity response
    • update labels, descriptions and aliases based on the wbeditentity response
  • recycle & rename ENTITY_INIT mutation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2019, 2:28 PM
Pablo-WMDE updated the task description. (Show Details)Mar 25 2019, 12:45 PM
Pablo-WMDE updated the task description. (Show Details)Mar 25 2019, 12:52 PM
Pablo-WMDE updated the task description. (Show Details)
Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:05 PM
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-12 ✓ board.

Change 499517 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Set initial revision id on ENTITY_INIT

https://gerrit.wikimedia.org/r/499517

Change 499525 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Update to latest entity revision on save

https://gerrit.wikimedia.org/r/499525

Change 499794 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Update entity and base revision id on save

https://gerrit.wikimedia.org/r/499794

Change 499517 merged by jenkins-bot:
[wikibase/termbox@master] Set initial revision id on ENTITY_INIT

https://gerrit.wikimedia.org/r/499517

Change 499525 merged by jenkins-bot:
[wikibase/termbox@master] Return EntityRevision from WritingEntityRepository

https://gerrit.wikimedia.org/r/499525

Change 499794 merged by jenkins-bot:
[wikibase/termbox@master] Update entity and base revision id on save

https://gerrit.wikimedia.org/r/499794

Pablo-WMDE closed this task as Resolved.Apr 8 2019, 10:38 AM